import BusX

extension MeetupId {
  enum SectionBus {
    static func setupService(
      _ ctrl: Controller,
      _ service: Service,
      _ world: World
    ) {
      service.any.append(contentsOf: [
        Bus.Debounce(shouldResetText, 0.2, K.M, K.textApp),
        Bus.Delay(shouldFinishLoading, 5, K.M, K.finishLoading),
        Bus.Sync(shouldEnableJoin, K.M, K.isJoinAvailable),
        Bus.Sync(shouldResetLoading, K.M, K.isLoading),

        Bus.Debounce(shouldManyResetText, 0.2, K.M, K.testTextApp),
      ])
    }
  }
}
