extension MPAK {
  public struct Many<T> {
    public var keys: Set<String>
    public var dict: [String: T]

    public init(
      _ keys: Set<String> = [],
      _ dict: [String: T] = [:]
    ) {
      self.keys = keys
      self.dict = dict
    }
  }
}
