import BusX
import SwiftUI

extension MeetupId {
  public struct TV: View {
    let id: String
    @StateObject var textField = BusUI.ManyTextField(K.testTextApp, K.testTextUI)
    //@StateObject var vm = VM()
    
    public init(_ id: String) {
      self.id = id
    }
    
    public var body: some View {
        TextField("TV", value: $textField.v, formatter: BusUI.TextFieldSource())
        .padding(8)
        .border(Color.blue)
        .animation(.easeInOut(duration: 0.3))
      .onAppear {
        textField.id = id
      }
      .onChange(of: id) { newValue in
        textField.id = newValue
      }
    }

  }
}
